Subject: Re: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Robert Pluim <[email-masked]>
Date: Fri, 28 Feb 2020 14:19:57 +0100

>>>>> On Fri, 28 Feb 2020 13:46:50 +0100, Mike FABIAN <[email-masked]> said:
    >> Iʼm not seeing colour emoji in a -Q Cairo build. Which sequence is this
    >> again?

    Mike> To check the colour, almost any emoji will work, it doesn’t have to be a
    Mike> sequence. For example, I see these in colour:

    Mike> 👩‍🦰 U+1F469 U+200D U+1F9B0 woman: red hair
    Mike> 🧑‍🦰 U+1F9D1 U+200D U+1F9B0 person: red hair
    Mike> 😇 U+1F607

    Mike> When I start "emacs -Q" (cairo build from current git master), I
    Mike> see the emoji first in black and white as in the attached
    Mike> emacs-default-emoji.png.

    Mike> Then, after evaluating:

    Mike> (set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "unicode-bmp") nil 'prepend)

    Mike> I see them in colour.

    Mike> So I have put

    Mike> (set-fontset-font t '(#x10000 . #x1FFFF) '("Noto Color Emoji" . "unicode-bmp") nil 'prepend)

    Mike> in my init file.

OK, so you were changing the fontsets. That matches what I see.

Hmm, is "Symbola" still a good fallback font? Or should we add "Noto
Color Emoji" or similar in front of it?

Robert